<?php

use Illuminate\Database\Seeder;
use App\Models\TipDetail;

class TipDetailTableSeeder extends Seeder {

	public function run()
	{
		//DB::table('tip_details')->delete();

		// tip1 english
		TipDetail::create(array(
				'tip_id' => 1,
				'language_id' => 1,
				'title' => "Choose a location for the meeting that is conducive to dialogue and create an atmosphere of respect and dignity.",
				'description' => "Choose a place for the session that is as calm, comfortable, and conducive to dialogue as much as possible, keeping in mind that the choice of location at border crossing points may be limited. A quiet setting where you cannot be overheard will enable you to have effective, efficient and safe communication, and allow a person to speak more readily about sensitive matters.  For children, have a child-friendly space with appropriate furniture, decoration and toys available.  Inform them that their information will not be shared with anyone not authorized to have access to it"
			));

		// tip2 english
		TipDetail::create(array(
				'tip_id' => 2,
				'language_id' => 1,
				'title' => "Arrange for quality interpretation",
				'description' => "In cases where communication in a shared language is not possible, an interpreter will be needed.  Prior to the meeting, brief the interpreter on what is known about the newly arrived person, and about any specific needs that you have identified at this early point (such as physical or mental health needs).  Wherever possible, ensure female interpreters (and interviewers) are available to interview women, girls and younger children."
			));

		// tip3 english
		TipDetail::create(array(
				'tip_id' => 3,
				'language_id' => 1,
				'title' => "Be aware of cultural and gender differences when communicating",
				'description' => "Cultural differences: Be aware of cultural differences that can affect communication when speaking and interacting with people from different cultures. Be mindful that people arriving at ports of entry typically have limited knowledge of their new environment, including its culture, customs and values. Be aware that you may not have knowledge of the arriving person’s culture, customs or values either. These differences can affect how men and women speak, dress and behave."
			));

		// tip1 Indonesian
		TipDetail::create(array(
				'tip_id' => 1,
				'language_id' => 2,
				'title' => "Pilih lokasi pertemuan yang kondusif untuk dialog dan ciptakan suasana saling menghormati dan bermartabat.",
				'description' => "Sebisa mungkin pilih tempat sesi yang tenang, nyaman, dan kondusif untuk berdialog, dengan mengingat bahwa pilihan lokasi di titik lintas batas mungkin terbatas. Pengaturan yang tenang di mana Anda tidak dapat didengar akan memungkinkan Anda untuk memiliki komunikasi yang efektif, efisien dan aman, dan memungkinkan seseorang untuk berbicara lebih mudah tentang hal-hal sensitif. Untuk anak-anak, sediakan ruang ramah anak dengan furnitur, dekorasi, dan mainan yang sesuai. Beri tahu mereka bahwa informasi mereka tidak akan dibagikan kepada siapa pun yang tidak berwenang untuk mengaksesnya."
			));

		// tip2 Indonesian
		TipDetail::create(array(
				'tip_id' => 2,
				'language_id' => 2,
				'title' => "Atur untuk interpretasi kualitas",
				'description' => "Dalam kasus di mana komunikasi dalam bahasa bersama tidak memungkinkan, seorang juru bahasa akan dibutuhkan. Sebelum pertemuan, beri penjelasan singkat kepada penerjemah tentang apa yang diketahui tentang orang yang baru tiba, dan tentang kebutuhan spesifik apa pun yang telah Anda identifikasi pada titik awal ini (seperti kebutuhan kesehatan fisik atau mental). Jika memungkinkan, pastikan juru bahasa perempuan (dan pewawancara) tersedia untuk mewawancarai perempuan, anak perempuan dan anak-anak."
			));

		// tip3 Indonesian,
		TipDetail::create(array(
				'tip_id' => 3,
				'language_id' => 2,
				'title' => "Waspadai perbedaan budaya dan gender saat berkomunikasi",
				'description' => "Perbedaan budaya: Waspadai perbedaan budaya yang dapat memengaruhi komunikasi saat berbicara dan berinteraksi dengan orang-orang dari budaya yang berbeda. Ingatlah bahwa orang yang tiba di pelabuhan masuk biasanya memiliki pengetahuan yang terbatas tentang lingkungan baru mereka, termasuk budaya, adat istiadat, dan nilai-nilainya. Ketahuilah bahwa Anda mungkin juga tidak memiliki pengetahuan tentang budaya, kebiasaan, atau nilai orang yang datang. Perbedaan ini dapat memengaruhi cara pria dan wanita berbicara, berpakaian, dan berperilaku."
			));

		// tip1 Malay
		TipDetail::create(array(
				'tip_id' => 1,
				'language_id' => 3,
				'title' => "Pilih lokasi untuk pertemuan yang kondusif untuk berdialog dan mewujudkan suasana rasa hormat dan maruah.",
				'description' => "Pilih tempat untuk sesi yang tenang, nyaman, dan kondusif untuk berdialog sebanyak mungkin, ingatlah bahawa pilihan lokasi di tempat penyeberangan sempadan mungkin terhad. Suasana yang tenang di mana anda tidak dapat didengar akan membolehkan anda mempunyai komunikasi yang berkesan, cekap dan selamat, dan membolehkan seseorang bercakap dengan lebih mudah mengenai perkara-perkara sensitif. Untuk kanak-kanak, mempunyai ruang yang sesuai untuk kanak-kanak dengan perabot, hiasan dan mainan yang sesuai. Maklumkan kepada mereka bahawa maklumat mereka tidak akan dibagikan kepada orang yang tidak diberi izin untuk mengaksesnya."
			));

		// tip2 Malay
		TipDetail::create(array(
				'tip_id' => 2,
				'language_id' => 3,
				'title' => "Susun untuk interpretasi yang berkualiti",
				'description' => "Sekiranya komunikasi tidak dapat dilakukan dalam bahasa yang dikongsi, jurubahasa akan diperlukan. Sebelum perjumpaan, beri penerangan kepada jurubahasa mengenai apa yang diketahui mengenai orang yang baru tiba, dan tentang keperluan khusus yang telah anda kenal pasti pada awal ini (seperti keperluan kesihatan fizikal atau mental). Seboleh-bolehnya, pastikan jurubahasa wanita (dan penemuduga) bersedia menemu ramah wanita, kanak-kanak perempuan dan kanak-kanak yang lebih muda."
			));

		// tip3 Malay
		TipDetail::create(array(
				'tip_id' => 3,
				'language_id' => 3,
				'title' => "Menyedari perbezaan budaya dan jantina semasa berkomunikasi",
				'description' => "Perbezaan budaya: Menyedari perbezaan budaya yang boleh mempengaruhi komunikasi ketika bercakap dan berinteraksi dengan orang dari pelbagai budaya. Perlu diketahui bahawa orang yang tiba di pelabuhan masuk biasanya mempunyai pengetahuan terhad tentang persekitaran baru mereka, termasuk budaya, adat istiadat dan nilai-nilai. Ketahuilah bahawa anda mungkin tidak mempunyai pengetahuan tentang budaya, adat atau nilai orang yang datang. Perbezaan ini boleh mempengaruhi bagaimana lelaki dan wanita bercakap, berpakaian dan berkelakuan."
			));

		// tip1 Thai
		TipDetail::create(array(
				'tip_id' => 1,
				'language_id' => 4,
				'title' => "เลือกสถานที่สำหรับการประชุมที่เอื้อต่อการเจรจาและสร้างบรรยากาศแห่งความเคารพและให้เกียรติ",
				'description' => "เลือกสถานที่สำหรับเซสชันที่สงบ สบาย และเอื้อต่อการเจรจามากที่สุดเท่าที่จะเป็นไปได้ โดยคำนึงถึงการเลือกสถานที่ที่จุดผ่านแดนอาจมีจำกัด สภาพแวดล้อมที่เงียบสงบซึ่งไม่มีใครได้ยินคุณจะทำให้คุณสามารถสื่อสารได้อย่างมีประสิทธิภาพ มีประสิทธิภาพ และปลอดภัย และช่วยให้บุคคลสามารถพูดเกี่ยวกับเรื่องที่ละเอียดอ่อนได้ง่ายขึ้น สำหรับเด็ก ควรมีพื้นที่ที่เหมาะสำหรับเด็กพร้อมเฟอร์นิเจอร์ อุปกรณ์ตกแต่ง และของเล่นที่เหมาะสม แจ้งให้พวกเขาทราบว่าข้อมูลของพวกเขาจะไม่ถูกเปิดเผยกับบุคคลที่ไม่ได้รับอนุญาตให้เข้าถึงได้"
			));

		// tip2 Thai
		TipDetail::create(array(
				'tip_id' => 2,
				'language_id' => 4,
				'title' => "จัดให้มีการตีความคุณภาพ",
				'description' => "ในกรณีที่ไม่สามารถสื่อสารด้วยภาษาที่ใช้ร่วมกันได้ จำเป็นต้องมีล่าม ก่อนการประชุม ให้สรุปล่ามเกี่ยวกับสิ่งที่ทราบเกี่ยวกับบุคคลที่มาใหม่ และเกี่ยวกับความต้องการเฉพาะใดๆ ที่คุณได้ระบุไว้ตั้งแต่แรก (เช่น ความต้องการด้านสุขภาพร่างกายหรือจิตใจ) ตรวจสอบให้แน่ใจว่าล่ามหญิง (และผู้สัมภาษณ์) พร้อมสัมภาษณ์ผู้หญิง เด็กผู้หญิง และเด็กเล็กในทุกที่ที่เป็นไปได้"
			));

		// tip3 Thai
		TipDetail::create(array(
				'tip_id' => 3,
				'language_id' => 4,
				'title' => "ตระหนักถึงความแตกต่างทางวัฒนธรรมและเพศเมื่อสื่อสาร",
				'description' => "ความแตกต่างทางวัฒนธรรม: ตระหนักถึงความแตกต่างทางวัฒนธรรมที่อาจส่งผลต่อการสื่อสารเมื่อพูดและโต้ตอบกับผู้คนจากวัฒนธรรมที่แตกต่างกัน พึงระลึกไว้เสมอว่าผู้คนที่มาถึงท่าเรือทางเข้ามักจะมีความรู้ที่จำกัดเกี่ยวกับสภาพแวดล้อมใหม่ของพวกเขา รวมถึงวัฒนธรรม ขนบธรรมเนียม และค่านิยมของมัน โปรดทราบว่าคุณอาจไม่มีความรู้เกี่ยวกับวัฒนธรรม ขนบธรรมเนียม หรือค่านิยมของผู้มาถึงเช่นกัน ความแตกต่างเหล่านี้อาจส่งผลต่อการพูด การแต่งกาย และพฤติกรรมของผู้ชายและผู้หญิง"
			));
	}
}